FLANG

Public Member Functions | List of all members
Fortran::semantics::CriticalBodyEnforce Class Reference

## Public Member Functions
| CriticalBodyEnforce (SemanticsContext &context, parser::CharBlock criticalSourcePosition)
std::set< parser::Label > | labels ()
template<typename T >
bool | Pre (const T &)
template<typename T >
void | Post (const T &)
template<typename T >
bool | Pre (const parser::Statement< T > &statement)
void | Post (const parser::ReturnStmt &)
void | Post (const parser::ExecutableConstruct &construct)

The documentation for this class was generated from the following file:

- lib/Semantics/check-coarray.cpp